K, M, T, N, Q = map(int, input().split())
clients = [int(input().strip()) for _ in range(N)]

time_to_next_cabin = 1
current_cabin_capacity = K
clients_left = 0
full_cabins = 0
empty_cabins = 0
queue = []

for time in range(1, T + 1):
    queue.extend([time for client_time in clients if client_time == time])

    if time == time_to_next_cabin:
        if len(queue) == 0:
            empty_cabins += 1
        else:
            while queue and current_cabin_capacity > 0:
                queue.pop(0)
                current_cabin_capacity -= 1
            
            if current_cabin_capacity == 0:
                full_cabins += 1

        current_cabin_capacity = K
        time_to_next_cabin += M

    while len(queue) > Q:
        queue.pop()
        clients_left += 1

clients_left += len(queue)

print(clients_left)
print(empty_cabins)
print(full_cabins)