def commands_to_base13(n):
    commands = []
    while n:
        commands.append(n % 13)
        n //= 13
    return commands[::-1]

N = int(input())
events = 0

for _ in range(N):
    number = int(input())
    for command in commands_to_base13(number):
        if command % 4 == 0:
            events += 1

print(events)